SystemOrganization addCategory: #'Tadp - Prueba - Tests'!
SystemOrganization addCategory: #'Tadp - Prueba'!
SystemOrganization addCategory: #'Tadp - Tp1'!
SystemOrganization addCategory: #'Tadp - Tp1 - Tests'!
SystemOrganization addCategory: #'Tadp - Tp1-Tests'!
SystemOrganization addCategory: #'Tadp - Tp1 '!

Trait named: #TecnologiaAnalogica
	uses: {}
	category: 'Tadp - Tp1'!

!TecnologiaAnalogica methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 11:23'!
definicionMaxima 
	^480! !

Trait named: #TecnologiaDigital
	uses: {}
	category: 'Tadp - Tp1'!

!TecnologiaDigital methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 11:24'!
definicionMaxima
	^self ppp*(self tamao/2)! !

!TecnologiaDigital methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 11:22'!
ppp
	^self requirement.! !

!TecnologiaDigital methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 11:22'!
tamao
	^self requirement.! !

TestCase subclass: #Test
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tadp - Tp1-Tests'!

!Test methodsFor: 'as yet unclassified' stamp: 'Christian 4/7/2013 20:03'!
testEntradaCable
	| cable pantalla |
	pantalla:= Pantalla new.
	cable:= Cable  new.
	
	pantalla EntradaVga.
	cable definicion: 1080.
	pantalla conectarCable: cable.
	self assert: pantalla definicion equals:1080.
	
	pantalla EntradaRf .
	self assert: pantalla definicion equals:480.
	! !

Object subclass: #Cable
	instanceVariableNames: 'definicion refresco'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tadp - Tp1'!

!Cable methodsFor: 'as yet unclassified' stamp: 'Christian 4/7/2013 18:53'!
definicion 
	^definicion ! !

!Cable methodsFor: 'as yet unclassified' stamp: 'Christian 4/7/2013 18:53'!
definicion: cant
	^definicion:= cant! !

!Cable methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 11:58'!
refrescoMaximo
	^refresco ! !

!Cable methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 11:58'!
refrescoMaximo:cant
	refresco:= cant! !

Object subclass: #Entrada
	instanceVariableNames: 'pantalla'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tadp - Tp1'!

Entrada subclass: #Av
	uses: TecnologiaAnalogica
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tadp - Tp1'!

Av class
	uses: TecnologiaAnalogica classTrait
	instanceVariableNames: ''!

!Av methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 11:39'!
consumo
	^self consumoEnPorcentaje: 10! !

!Entrada methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 11:46'!
consumo
	 ^0! !

!Entrada methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 11:37'!
consumoEnPorcentaje: porcentaje
	^pantalla consumo * porcentaje /100! !

!Entrada methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 11:43'!
definicionMaxima
	pantalla cable definicion.! !

!Entrada methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 11:50'!
refrescoMaximo
	^50! !

Entrada subclass: #Hdmi
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tadp - Tp1'!

!Hdmi methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 11:39'!
consumo
	^self consumoEnPorcentaje: 20! !

!Hdmi methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 11:50'!
refrescoMaximo 
	^240! !

Entrada subclass: #Rf
	uses: TecnologiaAnalogica
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tadp - Tp1'!

Rf class
	uses: TecnologiaAnalogica classTrait
	instanceVariableNames: ''!

Entrada subclass: #Vga
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tadp - Tp1'!

!Vga methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 11:36'!
consumo
	^0.001*pantalla ppp! !

!Vga methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 11:50'!
refrescoMaximo 
	^120! !

!Vga methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 12:03'!
tamao: cant
	tamao:=cant! !

Object subclass: #Pantalla
	instanceVariableNames: 'tamao refresco'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tadp - Tp1'!

Pantalla subclass: #Crt
	uses: TecnologiaAnalogica
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tadp - Tp1'!

Crt class
	uses: TecnologiaAnalogica classTrait
	instanceVariableNames: ''!

!Crt methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 11:28'!
consumo
	^super consumo:5! !

Pantalla subclass: #Lcd
	uses: TecnologiaDigital
	instanceVariableNames: 'ppp'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tadp - Tp1'!

Lcd class
	uses: TecnologiaDigital classTrait
	instanceVariableNames: ''!

!Lcd methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 11:28'!
consumo
	^super consumo:4! !

!Lcd methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 11:55'!
ppp
	^ppp! !

Pantalla subclass: #Led
	uses: TecnologiaDigital
	instanceVariableNames: 'ppp'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tadp - Tp1'!

Led class
	uses: TecnologiaDigital classTrait
	instanceVariableNames: ''!

!Led methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 11:28'!
consumo
	^super consumo:1! !

!Led methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 11:55'!
ppp
	^ppp! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 11:26'!
consumo: cant
	^cant * tamao! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 12:03'!
monitor
	self refresco:120! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 12:03'!
refresco 
	^refresco ! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 12:03'!
refresco: cant
	refresco := cant
	! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 12:04'!
smartTv
	self refresco:135! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 11:24'!
tamao
	^tamao! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'Christian 4/14/2013 12:04'!
tv
	self refresco:90! !
